aboutsummaryrefslogtreecommitdiff
path: root/aux
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-03-06 13:33:06 -0300
committerEuAndreh <eu@euandre.org>2021-03-06 16:10:34 -0300
commit4c0b8a69e0ce4bc64c2f96cbcb38f4e1fffd8e02 (patch)
tree11bb4214d5dc02a1ac2844fa9923c32ae898512f /aux
parent718ec38fe71b39812a03eae32b46c30be957646d (diff)
downloadpackage-repository-4c0b8a69e0ce4bc64c2f96cbcb38f4e1fffd8e02.tar.gz
Update files under aux/
Notes
Notes: See CI logs with: git notes --ref=refs/notes/ci-logs show 4c0b8a69e0ce4bc64c2f96cbcb38f4e1fffd8e02 git notes --ref=refs/notes/ci-data show 4c0b8a69e0ce4bc64c2f96cbcb38f4e1fffd8e02
Diffstat (limited to 'aux')
-rwxr-xr-xaux/workflow/dist.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
index afe2c92..0ae0ec4 100755
--- a/aux/workflow/dist.sh
+++ b/aux/workflow/dist.sh
@@ -16,6 +16,11 @@ if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
exit 1
fi
+if [ "Release $VVERSION" != "$(git log --format=%B -1 HEAD | head -n1)" ]; then
+ echo "Commit message isn't 'Release $VVERSION'." >&2
+ exit 1
+fi
+
sh aux/workflow/assert-changelog.sh "$DATE" "$VERSION" "$PROJECT"
git tag "$VVERSION"